Update a quota
PATCH
/v1/projects/{projectId}/collection-orders/{orderId}/quotas/{quotaId}curl -X PATCH 'https://api.embodiflow.io/v1/projects/{projectId}/collection-orders/{orderId}/quotas/{quotaId}' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT' \
-H 'Content-Type: application/json' \
-d '{
"sceneId": "00000000-0000-0000-0000-000000000000",
"targetHours": 0,
"targetSubmissions": 0,
"perCollectorCap": 0
}'Authorization
Send a personal access token with every request.
- Authorization: Bearer PAT
Path parameters
- projectIdstringrequired
- orderIdstringrequired
- quotaIdstringrequired
Request body
Content-Typeapplication/json
- sceneIdstring (uuid) | null
- targetHoursnumber | null
- targetSubmissionsnumber | null
- perCollectorCapnumber | null
Responses
Success
- dataobjectrequired
- idstringrequired
- orderIdstringrequired
- taskIdstringrequired
- sceneIdstring | nullrequired
- targetHoursnumber | nullrequired
- targetSubmissionsnumber | nullrequired
- perCollectorCapnumber | nullrequired
- createdAtstringrequired
- updatedAtstringrequired
- rowVersionnumberrequired
Response example
{
"data": {
"id": "string",
"orderId": "string",
"taskId": "string",
"sceneId": "string",
"targetHours": 0,
"targetSubmissions": 0,
"perCollectorCap": 0,
"createdAt": "string",
"updatedAt": "string",
"rowVersion": 0
}
}Servershttps://api.embodiflow.io/v1https://api.embodiflow.dev/v1